<template>
    <div :class="$style.container">
        <!-- {{ isLoading }} -->
        <c-loading v-if="analyticsStore.isLoading" />
        <template v-else>
            <slot></slot>
        </template>
    </div>
</template>

<script>
import CLoading from '@/components/CLoading'
import { useAnalyticsStore } from '@/store/analytics'
// const analyticsStore = useAnalyticsStore()
export default {
    name: 'MainMasterPage',

    components: {
        CLoading,
    },

    computed: {
        isLoading() {
            const analyticsStore = useAnalyticsStore()

            console.log('----------analyticsStore')
            console.log(analyticsStore)
            return analyticsStore
        },
    },
}
</script>

<style lang="scss" module>
.container {
    margin: 32px;
}
</style>
